package sikd.sikd5.sikd5bean.ws.transaksi;
// Generated Mar 6, 2019 10:58:36 AM by Hibernate Tools 4.3.1

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

 @XmlRootElement
@XmlType(name = "headerapbdWS", propOrder = {
		"kodesatker",
		"kodepemda",
		"namapemda",
		"tahunanggaran",
		"kodedata",
		"statusdata",
		"jeniscoa",
		"nomorperda",
		"tanggalperda",
		"namaaplikasi",
		"pengembangaplikasi",
		"versisinergi",
		"nmfile",
		"apbds",
		"sha256"
})

public class Headerapbd_WS implements java.io.Serializable {

	private String kodesatker;
	private String kodepemda;
	private String namapemda;
	private Short tahunanggaran;
	private Short kodedata;
	private Short statusdata;
	private Short jeniscoa;
	private String nomorperda;
	private Date tanggalperda;
	private String namaaplikasi;
	private String pengembangaplikasi;
	private String versisinergi;
	private String nmfile;
	private String sha256;
	private List<Apbd_WS> apbds = new ArrayList<>();

	public Headerapbd_WS() {
	}

	public Headerapbd_WS(String kodesatker, String kodepemda, String namapemda, String namaaplikasi,
			String pengembangaplikasi) {
		this.kodesatker = kodesatker;
		this.kodepemda = kodepemda;
		this.namapemda = namapemda;
		this.namaaplikasi = namaaplikasi;
		this.pengembangaplikasi = pengembangaplikasi;
	}

	public Headerapbd_WS(String kodesatker, String kodepemda, String namapemda, Short tahunanggaran, Short kodedata, Short statusdata, Short jeniscoa,
			String nomorperda, Date tanggalperda, String namaaplikasi, String pengembangaplikasi, String versisinergi, String nmfile, String sha256,
			List<Apbd_WS> apbds) {
		super();
		this.kodesatker = kodesatker;
		this.kodepemda = kodepemda;
		this.namapemda = namapemda;
		this.tahunanggaran = tahunanggaran;
		this.kodedata = kodedata;
		this.statusdata = statusdata;
		this.jeniscoa = jeniscoa;
		this.nomorperda = nomorperda;
		this.tanggalperda = tanggalperda;
		this.namaaplikasi = namaaplikasi;
		this.pengembangaplikasi = pengembangaplikasi;
		this.versisinergi = versisinergi;
		this.nmfile = nmfile;
		this.sha256 = sha256;
		this.apbds = apbds;
	}

	public String getKodesatker() {
		return this.kodesatker;
	}

	public void setKodesatker(String kodesatker) {
		this.kodesatker = kodesatker;
	}

	public String getKodepemda() {
		return this.kodepemda;
	}

	public void setKodepemda(String kodepemda) {
		this.kodepemda = kodepemda;
	}

	public String getNamapemda() {
		return this.namapemda;
	}

	public void setNamapemda(String namapemda) {
		this.namapemda = namapemda;
	}

	public Short getTahunanggaran() {
		return this.tahunanggaran;
	}

	public void setTahunanggaran(Short tahunanggaran) {
		this.tahunanggaran = tahunanggaran;
	}

	public Short getKodedata() {
		return this.kodedata;
	}

	public void setKodedata(Short kodedata) {
		this.kodedata = kodedata;
	}

	public Short getStatusdata() {
		return this.statusdata;
	}

	public void setStatusdata(Short statusdata) {
		this.statusdata = statusdata;
	}

	public Short getJeniscoa() {
		return this.jeniscoa;
	}

	public void setJeniscoa(Short jeniscoa) {
		this.jeniscoa = jeniscoa;
	}

	public String getNomorperda() {
		return this.nomorperda;
	}

	public void setNomorperda(String nomorperda) {
		this.nomorperda = nomorperda;
	}

	public Date getTanggalperda() {
		return this.tanggalperda;
	}

	public void setTanggalperda(Date tanggalperda) {
		this.tanggalperda = tanggalperda;
	}

	public String getNamaaplikasi() {
		return this.namaaplikasi;
	}

	public void setNamaaplikasi(String namaaplikasi) {
		this.namaaplikasi = namaaplikasi;
	}

	public String getPengembangaplikasi() {
		return this.pengembangaplikasi;
	}

	public void setPengembangaplikasi(String pengembangaplikasi) {
		this.pengembangaplikasi = pengembangaplikasi;
	}

	public String getVersisinergi() {
		return this.versisinergi;
	}

	public void setVersisinergi(String versisinergi) {
		this.versisinergi = versisinergi;
	}

	public String getNmfile() {
		return this.nmfile;
	}

	public void setNmfile(String nmfile) {
		this.nmfile = nmfile;
	}

	
	public String getSha256() {
		return sha256;
	}

	public void setSha256(String sha256) {
		this.sha256 = sha256;
	}

	public List<Apbd_WS> getApbds() {
		return this.apbds;
	}

	public void setApbds(List<Apbd_WS> apbds) {
		this.apbds = apbds;
	}

}
